Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.io.imgapi
Class IMGReader

    java.lang.Object
      org.deegree.io.imgapi.IMGReader

    public class IMGReader

extends Object

Author:
  Andreas Poth

Field Summary
`static int` | `BYTE`
`static int` | `DOUBLE`
`static int` | `FLOAT`
`static int` | `INT`
`static int` | `SMALLINT`

Constructor Summary
`IMGReader(String fileName, int width, int height, Envelope bbox, int type)` Creates a new instance of IMGReader

Method Summary
`float[][]` | `read(Envelope bbox)` reads a rectangular subset from the image

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BYTE

    public static final int BYTE

See Also:
  Constant Field Values

### SMALLINT

    public static final int SMALLINT

See Also:
  Constant Field Values

### INT

    public static final int INT

See Also:
  Constant Field Values

### FLOAT

    public static final int FLOAT

See Also:
  Constant Field Values

### DOUBLE

    public static final int DOUBLE

See Also:
  Constant Field Values

Constructor Detail

### IMGReader

    public IMGReader(String fileName,
                     int width,
                     int height,
                     Envelope bbox,
                     int type)

  Creates a new instance of IMGReader

  Parameters:
    `fileName` -
    `width` -
    `height` -
    `bbox` -
    `type` -

Method Detail

### read

    public float[][] read(Envelope bbox)
                   throws IOException

  reads a rectangular subset from the image

  Parameters:
    `bbox` - desired bounding box
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org